Package com.omnisci.thrift.server

## Class OmniSci.set_cur_session_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.set_cur_session_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.set_cur_session_args>`, `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.set_cur_session_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.set_cur_session_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.set_cur_session_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `label`
`String` `leaf_session`
`static Map<OmniSci.set_cur_session_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `parent_session`
`String` `start_time_str`

### Constructor Summary

Constructors
`set_cur_session_args()`
`set_cur_session_args​(OmniSci.set_cur_session_args other)` Performs a deep copy on other.
`set_cur_session_args​(String parent_session, String leaf_session, String start_time_str, String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.set_cur_session_args other)`
`OmniSci.set_cur_session_args` `deepCopy()`
`boolean` `equals​(OmniSci.set_cur_session_args that)`
`boolean` `equals​(Object that)`
`OmniSci.set_cur_session_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.set_cur_session_args._Fields field)`
`String` `getLabel()`
`String` `getLeaf_session()`
`String` `getParent_session()`
`String` `getStart_time_str()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.set_cur_session_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetLabel()` Returns true if field label is set (has been assigned a value) and false otherwise
`boolean` `isSetLeaf_session()` Returns true if field leaf_session is set (has been assigned a value) and false otherwise
`boolean` `isSetParent_session()` Returns true if field parent_session is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_time_str()` Returns true if field start_time_str is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(OmniSci.set_cur_session_args._Fields field, Object value)`
`OmniSci.set_cur_session_args` `setLabel​(String label)`
`void` `setLabelIsSet​(boolean value)`
`OmniSci.set_cur_session_args` `setLeaf_session​(String leaf_session)`
`void` `setLeaf_sessionIsSet​(boolean value)`
`OmniSci.set_cur_session_args` `setParent_session​(String parent_session)`
`void` `setParent_sessionIsSet​(boolean value)`
`OmniSci.set_cur_session_args` `setStart_time_str​(String start_time_str)`
`void` `setStart_time_strIsSet​(boolean value)`
`String` `toString()`
`void` `unsetLabel()`
`void` `unsetLeaf_session()`
`void` `unsetParent_session()`
`void` `unsetStart_time_str()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### parent_session

    public String parent_session

#### leaf_session

    public String leaf_session

#### start_time_str

    public String start_time_str

#### label

    public String label

#### metaDataMap

    public static final Map<OmniSci.set_cur_session_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### set_cur_session_args

    public set_cur_session_args()

#### set_cur_session_args

    public set_cur_session_args​(String parent_session,
                                String leaf_session,
                                String start_time_str,
                                String label)

#### set_cur_session_args

    public set_cur_session_args​(OmniSci.set_cur_session_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.set_cur_session_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`

#### getParent_session

    public String getParent_session()

#### setParent_session

    public OmniSci.set_cur_session_args setParent_session​(String parent_session)

#### unsetParent_session

    public void unsetParent_session()

#### isSetParent_session

    public boolean isSetParent_session()

Returns true if field parent_session is set (has been assigned a value) and false otherwise

#### setParent_sessionIsSet

    public void setParent_sessionIsSet​(boolean value)

#### getLeaf_session

    public String getLeaf_session()

#### setLeaf_session

    public OmniSci.set_cur_session_args setLeaf_session​(String leaf_session)

#### unsetLeaf_session

    public void unsetLeaf_session()

#### isSetLeaf_session

    public boolean isSetLeaf_session()

Returns true if field leaf_session is set (has been assigned a value) and false otherwise

#### setLeaf_sessionIsSet

    public void setLeaf_sessionIsSet​(boolean value)

#### getStart_time_str

    public String getStart_time_str()

#### setStart_time_str

    public OmniSci.set_cur_session_args setStart_time_str​(String start_time_str)

#### unsetStart_time_str

    public void unsetStart_time_str()

#### isSetStart_time_str

    public boolean isSetStart_time_str()

Returns true if field start_time_str is set (has been assigned a value) and false otherwise

#### setStart_time_strIsSet

    public void setStart_time_strIsSet​(boolean value)

#### getLabel

    public String getLabel()

#### setLabel

    public OmniSci.set_cur_session_args setLabel​(String label)

#### unsetLabel

    public void unsetLabel()

#### isSetLabel

    public boolean isSetLabel()

Returns true if field label is set (has been assigned a value) and false otherwise

#### setLabelIsSet

    public void setLabelIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.set_cur_session_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.set_cur_session_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.set_cur_session_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.set_cur_session_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.set_cur_session_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.set_cur_session_args>`

#### fieldForId

    public OmniSci.set_cur_session_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.set_cur_session_args,​OmniSci.set_cur_session_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`